declare -a casy
i=0
posel=0
while true; do
    cas=$(date +"%s")

    node . $posel $posledni 2> >(tee logs/aktualni.txt)
    kod=$?
    posel=0

    echo [$(date +"%d.%m. %H:%M:%S")]: vyplo sa to

    casDva=$(date +"%s")
    posledni=$(($casDva - $cas))

    cp logs/aktualni.txt logs/recent.txt
    if [[ -s "logs/aktualni.txt" ]]; then
        cp logs/aktualni.txt logs/$(date +"%m-%d-%H_%M_%S_%N").txt
    fi

    echo exit code byl $kod

    if (($kod == 0 )); then
        echo stahuju update
        git stash
        git pull
        npm i --omit=dev
        live-tsc -s src -d out -f cjs
    else
        if (($kod == 69)); then
            echo jenom restart
        else
            posel=1
            casy[$i]=$casDva
            if (($i < 3)) || (($((casy[$(($i - 3))])) < $(($casDva - 86400)))); then
                echo Poslo to dostatecne malo, restartuju
            else
                echo Poslo to moc, seru na to
                break
            fi
            i=$(($i + 1))
        fi
    fi
done
